Index: WAeUP_SRP/trunk/Accommodation.py
===================================================================
--- WAeUP_SRP/trunk/Accommodation.py	(revision 3869)
+++ WAeUP_SRP/trunk/Accommodation.py	(revision 3870)
@@ -38,4 +38,7 @@
         generate the free Bedslist.
         """
+        logger = logging.getLogger('Accommodation.AccoFolder.generateFreeBedsList')
+        member = self.portal_membership.getAuthenticatedMember()
+        logger.info('%s generated bed list' % member)
         bed_list = self.portal_accommodation
         l = self.portal_catalog({'meta_type': "AccoHall"})
@@ -57,4 +60,5 @@
             reserved = [(r.split('/')[0],int(r.split('/')[1])) for r in re.split(',|\.| ',hall_doc.reserved_rooms)
                                      if r]
+            #import pdb;pdb.set_trace()                         
             #for block in range(1,int(hall_doc.nr_of_blocks)+1):
             # for block in 'ABCDEFGHIJ'[:int(hall_doc.nr_of_blocks)]:
@@ -63,4 +67,5 @@
             beds_for_fresh = getattr(hall_doc,'beds_for_fresh',[])
             beds_for_pre = getattr(hall_doc,'beds_for_pre',[])
+            beds_for_returning = getattr(hall_doc,'beds_for_returning',[])
             beds_for_final = getattr(hall_doc,'beds_for_final',[])
             if set(blocks_for_female).intersection(set(blocks_for_male)):
@@ -85,4 +90,6 @@
                             elif bed in beds_for_final:
                                 bt = 'fi'
+                            elif bed in beds_for_returning:
+                                bt = 're'                                
                             if hall_doc.special_handling.startswith("no_"):
                                 bt += "_" + hall_doc.special_handling[3:]
@@ -109,6 +116,6 @@
             beds_generated.append(hall_gen)
         current = DateTime.DateTime().strftime("%d-%m-%y_%H_%M_%S")
-        open("%s/import/bedlist_%s.csv" % (i_home,current),"w+").write('\n'.join(generated))
-        open("%s/import/bedlist_modyfied_%s.csv" % (i_home,current),"w+").write('\n'.join(modyfied))
+        open("%s/export/bedlist_%s.csv" % (i_home,current),"w+").write('\n'.join(generated))
+        open("%s/export/bedlist_modyfied_%s.csv" % (i_home,current),"w+").write('\n'.join(modyfied))
         return self.accommodation.acco_folder_view(beds_generated=beds_generated)
     ###)
Index: WAeUP_SRP/trunk/profiles/aaua/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/aaua/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/aaua/layouts/acco_hall.xml	(revision 3870)
@@ -41,6 +41,6 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Beds for NCE-3 Students</property>
-  <property name="label_edit">Beds for NCE-3 Students</property>
+  <property name="label">Beds for Final Students</property>
+  <property name="label_edit">Beds for Final Students</property>
   <property name="help">Name the bedspaces for final year students.
                         Attention: The bed letters must not exceed the number of beds per room.</property>
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for Returning Students</property>
+  <property name="label_edit">Beds for Returning Students</property>
+  <property name="help">Name the bedspaces for final returning students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>   
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -55,6 +71,6 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Beds for NCE-1 Students</property>
-  <property name="label_edit">Beds for NCE-1 Students</property>
+  <property name="label">Beds for Fresh Students</property>
+  <property name="label_edit">Beds for Fresh Students</property>
   <property name="help">Name the beds for first year students.
                         Attention: The bed letters must not exceed the number of beds per room.</property>
@@ -203,9 +219,12 @@
   <row>
    <cell name="sort_id"/>
-  </row>
+  </row>  
   <row>
    <cell name="maintenance_code"/>
   </row>
   <row>
+   <cell name="special_handling"/>
+  </row>
+  <row>
    <cell name="text"/>
   </row>
@@ -229,9 +248,9 @@
   </row>
   <row>
-   <cell name="beds_for_pre"/>
-  </row>  
-  <row>
    <cell name="beds_for_fresh"/>
   </row>
+  <row>
+   <cell name="beds_for_returning"/>
+  </row>      
   <row>
    <cell name="beds_for_final"/>
Index: WAeUP_SRP/trunk/profiles/aaue/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/aaue/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/aaue/layouts/acco_hall.xml	(revision 3870)
@@ -41,6 +41,6 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Beds for NCE-3 Students</property>
-  <property name="label_edit">Beds for NCE-3 Students</property>
+  <property name="label">Beds for Final Students</property>
+  <property name="label_edit">Beds for Final Students</property>
   <property name="help">Name the bedspaces for final year students.
                         Attention: The bed letters must not exceed the number of beds per room.</property>
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for Returning Students</property>
+  <property name="label_edit">Beds for Returning Students</property>
+  <property name="help">Name the bedspaces for final returning students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>   
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -55,6 +71,6 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Beds for NCE-1 Students</property>
-  <property name="label_edit">Beds for NCE-1 Students</property>
+  <property name="label">Beds for Fresh Students</property>
+  <property name="label_edit">Beds for Fresh Students</property>
   <property name="help">Name the beds for first year students.
                         Attention: The bed letters must not exceed the number of beds per room.</property>
@@ -203,9 +219,12 @@
   <row>
    <cell name="sort_id"/>
-  </row>
+  </row>  
   <row>
    <cell name="maintenance_code"/>
   </row>
   <row>
+   <cell name="special_handling"/>
+  </row>
+  <row>
    <cell name="text"/>
   </row>
@@ -229,9 +248,9 @@
   </row>
   <row>
-   <cell name="beds_for_pre"/>
-  </row>  
-  <row>
    <cell name="beds_for_fresh"/>
   </row>
+  <row>
+   <cell name="beds_for_returning"/>
+  </row>      
   <row>
    <cell name="beds_for_final"/>
Index: WAeUP_SRP/trunk/profiles/fceokene/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/fceokene/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/fceokene/layouts/acco_hall.xml	(revision 3870)
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for NCE-2 Students</property>
+  <property name="label_edit">Beds for NCE-2 Students</property>
+  <property name="help">Name the bedspaces for final returning (NCE-2 students)) students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget> 
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -238,4 +254,7 @@
   </row>
   <row>
+   <cell name="beds_for_returning"/>
+  </row>  
+  <row>
    <cell name="beds_for_final"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/fceoyo/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/fceoyo/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/fceoyo/layouts/acco_hall.xml	(revision 3870)
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for NCE-2 Students</property>
+  <property name="label_edit">Beds for NCE-2 Students</property>
+  <property name="help">Name the bedspaces for final returning (NCE-2 students)) students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget> 
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -208,4 +224,7 @@
   </row>
   <row>
+   <cell name="special_handling"/>
+  </row>  
+  <row>
    <cell name="text"/>
   </row>
@@ -235,4 +254,7 @@
   </row>
   <row>
+   <cell name="beds_for_returning"/>
+  </row>  
+  <row>
    <cell name="beds_for_final"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/nau/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/nau/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/nau/layouts/acco_hall.xml	(revision 3870)
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for Returning Students</property>
+  <property name="label_edit">Beds for Returning Students</property>
+  <property name="help">Name the bedspaces for final returning students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>  
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -235,4 +251,7 @@
   </row>
   <row>
+   <cell name="beds_for_returning"/>
+  </row>    
+  <row>
    <cell name="beds_for_final"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/ois/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/ois/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/ois/layouts/acco_hall.xml	(revision 3870)
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for NCE-2 Students</property>
+  <property name="label_edit">Beds for NCE-2 Students</property>
+  <property name="help">Name the bedspaces for final returning (NCE-2 students)) students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget> 
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -208,4 +224,7 @@
   </row>
   <row>
+   <cell name="special_handling"/>
+  </row>  
+  <row>
    <cell name="text"/>
   </row>
@@ -235,4 +254,7 @@
   </row>
   <row>
+   <cell name="beds_for_returning"/>
+  </row>  
+  <row>
    <cell name="beds_for_final"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/uniben/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/uniben/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/uniben/layouts/acco_hall.xml	(revision 3870)
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for Returning Students</property>
+  <property name="label_edit">Beds for Returning Students</property>
+  <property name="help">Name the bedspaces for final returning students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>   
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -235,4 +251,7 @@
   </row>
   <row>
+   <cell name="beds_for_returning"/>
+  </row>      
+  <row>
    <cell name="beds_for_final"/>
   </row>
Index: WAeUP_SRP/trunk/profiles/unilorin/layouts/acco_hall.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/unilorin/layouts/acco_hall.xml	(revision 3869)
+++ WAeUP_SRP/trunk/profiles/unilorin/layouts/acco_hall.xml	(revision 3870)
@@ -41,6 +41,6 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Beds for NCE-3 Students</property>
-  <property name="label_edit">Beds for NCE-3 Students</property>
+  <property name="label">Beds for Final Students</property>
+  <property name="label_edit">Beds for Final Students</property>
   <property name="help">Name the bedspaces for final year students.
                         Attention: The bed letters must not exceed the number of beds per room.</property>
@@ -50,4 +50,20 @@
   <property name="vocabulary">waeup_bed_letters</property>
  </widget>
+ 
+ <widget name="beds_for_returning" meta_type="MultiSelect Widget">
+  <property name="fields">
+   <element value="beds_for_returning"/>
+  </property>
+  <property name="is_required">False</property>
+  <property name="label">Beds for Returning Students</property>
+  <property name="label_edit">Beds for Returning Students</property>
+  <property name="help">Name the bedspaces for final returning students.
+                        Attention: The bed letters must not exceed the number of beds per room.</property>
+  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">waeup_bed_letters</property>
+ </widget>   
+ 
  <widget name="beds_for_fresh" meta_type="MultiSelect Widget">
   <property name="fields">
@@ -55,6 +71,6 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Beds for NCE-1 Students</property>
-  <property name="label_edit">Beds for NCE-1 Students</property>
+  <property name="label">Beds for Fresh Students</property>
+  <property name="label_edit">Beds for Fresh Students</property>
   <property name="help">Name the beds for first year students.
                         Attention: The bed letters must not exceed the number of beds per room.</property>
@@ -203,9 +219,12 @@
   <row>
    <cell name="sort_id"/>
-  </row>
+  </row>  
   <row>
    <cell name="maintenance_code"/>
   </row>
   <row>
+   <cell name="special_handling"/>
+  </row>
+  <row>
    <cell name="text"/>
   </row>
@@ -229,9 +248,9 @@
   </row>
   <row>
-   <cell name="beds_for_pre"/>
-  </row>  
-  <row>
    <cell name="beds_for_fresh"/>
   </row>
+  <row>
+   <cell name="beds_for_returning"/>
+  </row>      
   <row>
    <cell name="beds_for_final"/>
Index: WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 3869)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/interswitch_cb.py	(revision 3870)
@@ -138,5 +138,5 @@
 
 else:
-    logger.info('%s received unsuccessfull callback: %s' % (student_id,pd['resp_desc']))
+    logger.info('%s received unsuccessful callback: %s' % (student_id,pd['resp_desc']))
 
 review_state = wftool.getInfoFor(context,'review_state',None)