Index: WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 3871)
+++ WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 3872)
@@ -12,17 +12,80 @@
 return SchoolFee
 """
-
+MBL= ('MBA','MPAD','LLMCPL','LLMPIL')
 
 d = {}
 
-if brain.mode == '':  
-
-
-
-
+if brain.mode.endswith('_ft'):
+    # fresh full-time remedial
+    if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
+        if brain.jamb_state == 'edo':
+        d['all'] = 50000
+        else:
+            d['all'] = 60000
+    # fresh tull-time students 
+    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty=='INE':
+        if brain.jamb_state == 'edo':
+            d['all'] = 22000
+        else:
+            d['all'] = 0
+    # returning full-time students
+    elif str(brain.level) == ('100','200','300','400') and brain.review_state == 'returning':
+        if brain.jamb_state == 'edo':
+            d['all'] = 4300
+        else:
+            d['all'] = 0
+    # postgrad full-time students
+    elif str(brain.level) == ('600') and brain.review_state == 'cleared_and_validated':
+        if brain.jamb_state == 'edo':
+            d['all'] = 62500
+            if brain.jamb_lga == 'foreigner':
+            d['all'] = 189500
+            else:
+                d['all'] = 69500
+    elif str(brain.level) == ('700','800') and brain.certificate in 'MBL':
+        if brain.jamb_state == 'edo':
+            d['all'] = 89500
+            if brain.jamb_lga == 'foreigner':
+            d['all'] = 269500
+            else:
+                d['all'] = 99500
+    elif str(brain.level) == ('700','800') and not in 'MBL':
+        if brain.jamb_state == 'edo':
+            d['all'] = 69500
+            if brain.jamb_lga == 'foreigner':
+            d['all'] = 219500
+            else:
+                d['all'] = 79500
+   elif str(brain.level) == ('900','1000','1001'):
+        if brain.jamb_state == 'edo':
+            d['all'] = 99500
+            if brain.jamb_lga == 'foreigner':
+            d['all'] = 269500
+            else:
+                d['all'] = 109500             
+else:
+    # fresh part-time students 
+    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty=='INE':
+        if brain.jamb_state == 'edo':
+            d['all'] = 45000
+        else:
+            d['all'] = 55000
+    # returning part-time students
+    elif str(brain.level) == ('100','200','300','400') and brain.review_state == 'returning':
+        if brain.jamb_state == 'edo':
+            d['all'] = 30000
+        else:
+            d['all'] = 40000
+    # postgrad part-time students
+    elif str(brain.level) == ('600') and brain.review_state == 'cleared_and_validated':
+        if brain.jamb_state == 'edo':
+            d['all'] = 64500
+            if brain.jamb_lga == 'foreigner':
+            d['all'] = 219500
+            else:
+                d['all'] = 74500
 else:
     d['all'] = 0
 
-d['all'] = 0
 
 next_info = context.getNextInfo(brain)
@@ -32,2 +95,3 @@
 
 return d
+
Index: WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py	(revision 3871)
+++ WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py	(revision 3872)
@@ -48,7 +48,7 @@
     return context.interswitch_form(info=info)
 
-info['site_id'] = '119'
+info['site_id'] = '115'
 info['currency_id'] = '566'
-pay_item_id = "10900"
+pay_item_id = "11900"
 
 #info['type_code'] = sbrain.course  #type_code is redundant and will be removed soon
@@ -67,14 +67,10 @@
 now = DateTime.DateTime()
 info['date'] = now
-info['pay_ship_to'] = "Adekunle Ajasin University"
+info['pay_ship_to'] = "Ambrose Alli University Ekpoma"
 timestamp = "%d" % int(now.timeTime()*1000)
 info['order_id'] = "%s%s" % (student_id[1:],timestamp)
 p_id = "p%s" % timestamp
-
-
-info['surcharge'] = interswitch_amount = '150'
+info['surcharge'] = interswitch_amount = 300
 info['amount'] = amount = fee_dict['all']
-total_amount = 100*int(amount) + 100*int(interswitch_amount)
-
 
 if student_id is None:
@@ -82,5 +78,5 @@
 
 if True:
-    info['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
+    info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
 else:
     #pass
@@ -113,4 +109,7 @@
                                                                   p_id,
                                                                   p_id)
+                                                                  
+
+                                                          
 
 logger.info('%(student_id)s initiated online school fee payment with order_id %(order_id)s and callback url %(callback_url)s' % info)
@@ -129,24 +128,32 @@
 
 bt_amount = 4000
+aaue_split = 1000
 
-aaue_amount = amount - bt_amount
+#getSchoolFee provides pure school fee, the other fees have to be added
+total_amount = 100* (amount + interswitch_amount + bt_amount + aaue_split)        
+
+
 xmldict = {}
 xmldict['detail_ref'] = args['txn_ref']
 xmldict['department'] = student_record.department
 xmldict['faculty'] = student_record.faculty
-xmldict['aaue_amount'] = "%d" % int(100*aaue_amount)
+xmldict['amount'] = "%d" % int(100*amount)
 xmldict['bt_amount'] = "%d" % int(100*bt_amount)
-if student_record.mode.endswith('_pt'):
-    xmldict['aaue_acct'] = ""
-elif student_record.mode.endswith('_sw'):
-    xmldict['aaue_acct'] = ""
+
+if student_record.mode in ('ug_ft','ug_pt','pg_ft','pgd_ft):
+    xmldict['aaue_acct'] = "6020008887"
+    xmldict['bank_id'] = '123'
 else:
-    xmldict['aaue_acct'] = "0000000000000000"
+    xmldict['aaue_acct'] = "0000000000000"
+    xmldict['bank_id'] = '0'
+
+xmldict['aaue_split'] = "%d" % int(100*aaue_split)
 
 
 xmltext = """<payment_item_detail>
-<item_details detail_ref="%(detail_ref)s" college="AAUE" department="%(department)s" faculty="%(faculty)s">
-<item_detail item_id="1" item_name="AAUE" item_amt="%(aaue_amount)s" bank_id="89" acct_num="%(aaue_acct)s" />
-<item_detail item_id="2" item_name="BT" item_amt="%(bt_amount)s" bank_id="117" acct_num="6012015294" />
+<item_details detail_ref="%(detail_ref)s" college="aaue" department="%(department)s" faculty="%(faculty)s" >
+<item_detail item_id="1" item_name="AAUE School Fee" item_amt="%(amount)s" bank_id="123" acct_num="6020008887" />
+<item_detail item_id="2" item_name="AAUE Split" item_amt="%(aaue_split)s" bank_id="123" acct_num="6020008887" />
+<item_detail item_id="3" item_name="BT" item_amt="%(bt_amount)s" bank_id="89" acct_num="0061001000021096" />
 </item_details>
 </payment_item_detail>""" % xmldict
@@ -158,5 +165,5 @@
 args['cust_name_desc'] = "Student Name"
 args['pay_item_id'] = pay_item_id
-args['pay_item_name'] = "AAUE Tuition Payments"
+args['pay_item_name'] = "Ambrose Alli University Ekpoma Tuition Payments"
 args['payment_params'] = 'college_split'
 #args['xml_data'] = ''