Index: /WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 3872)
+++ /WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 3873)
@@ -17,72 +17,75 @@
 
 if brain.mode.endswith('_ft'):
-    # fresh full-time remedial
+    # fresh full-time remedial  (not in table???)
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
-        if brain.jamb_state == 'edo':
-        d['all'] = 50000
+        if brain.lga.startswith('edo'):
+            d['all'] = 50000
         else:
             d['all'] = 60000
-    # fresh tull-time students 
-    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty=='INE':
-        if brain.jamb_state == 'edo':
+    # fresh tull-time students
+    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
+        if brain.lga.startswith('edo'):
             d['all'] = 22000
         else:
             d['all'] = 0
-    # returning full-time students
-    elif str(brain.level) == ('100','200','300','400') and brain.review_state == 'returning':
-        if brain.jamb_state == 'edo':
+    # returning full-time students (INE???)
+    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
+        if brain.lga.startswith('edo'):
             d['all'] = 4300
         else:
             d['all'] = 0
-    # postgrad full-time students
+    # postgrad full-time students (fresh???)
     elif str(brain.level) == ('600') and brain.review_state == 'cleared_and_validated':
-        if brain.jamb_state == 'edo':
+        if brain.lga.startswith('edo'):
             d['all'] = 62500
-            if brain.jamb_lga == 'foreigner':
+        elif brain.lga == 'foreigner':
             d['all'] = 189500
-            else:
-                d['all'] = 69500
-    elif str(brain.level) == ('700','800') and brain.certificate in 'MBL':
-        if brain.jamb_state == 'edo':
+        else:
+            d['all'] = 69500
+    # MBL students (fresh and/or returning ???)        
+    elif str(brain.level) in ('700','800','710','810') and brain.certificate in MBL:
+        if brain.lga.startswith('edo'):
             d['all'] = 89500
-            if brain.jamb_lga == 'foreigner':
+        elif brain.lga == 'foreigner':
             d['all'] = 269500
-            else:
-                d['all'] = 99500
-    elif str(brain.level) == ('700','800') and not in 'MBL':
-        if brain.jamb_state == 'edo':
+        else:
+            d['all'] = 99500
+    # non-MBL students (fresh and/or returning ???)   
+    elif str(brain.level) in ('700','800','710','810'):
+        if brain.lga.startswith('edo'):
             d['all'] = 69500
-            if brain.jamb_lga == 'foreigner':
+        if brain.lga == 'foreigner':
             d['all'] = 219500
-            else:
-                d['all'] = 79500
-   elif str(brain.level) == ('900','1000','1001'):
-        if brain.jamb_state == 'edo':
+        else:
+            d['all'] = 79500
+    # PHD ????        
+    elif str(brain.level) in ('900','1000','1001'):
+        if brain.lga.startswith('edo'):
             d['all'] = 99500
-            if brain.jamb_lga == 'foreigner':
+        if brain.lga == 'foreigner':
             d['all'] = 269500
-            else:
-                d['all'] = 109500             
+        else:
+            d['all'] = 109500             
 else:
-    # fresh part-time students 
-    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty=='INE':
-        if brain.jamb_state == 'edo':
+    # fresh part-time students INE
+    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
+        if brain.lga.startswith('edo'):
             d['all'] = 45000
         else:
             d['all'] = 55000
-    # returning part-time students
-    elif str(brain.level) == ('100','200','300','400') and brain.review_state == 'returning':
-        if brain.jamb_state == 'edo':
+    # returning part-time students (INE???))
+    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
+        if brain.lga.startswith('edo'):
             d['all'] = 30000
         else:
             d['all'] = 40000
     # postgrad part-time students
-    elif str(brain.level) == ('600') and brain.review_state == 'cleared_and_validated':
-        if brain.jamb_state == 'edo':
+    elif str(brain.level) == '600' and brain.review_state == 'cleared_and_validated':
+        if brain.lga.startswith('edo'):
             d['all'] = 64500
-            if brain.jamb_lga == 'foreigner':
+        if brain.lga == 'foreigner':
             d['all'] = 219500
-            else:
-                d['all'] = 74500
+        else:
+            d['all'] = 74500
 else:
     d['all'] = 0