Index: WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 3897)
+++ WAeUP_SRP/trunk/skins/waeup_aaue/getSchoolFee.py	(revision 3898)
@@ -17,11 +17,11 @@
 
 if brain.mode.endswith('_ft'):
-    # fresh full-time remedial  (not in table???)
+    # fresh full-time Foundation
     if str(brain.level) == '000' and brain.review_state == 'cleared_and_validated':
-        if brain.lga.startswith('edo'):
+        if brain.entry_mode == 'rm_ft' and brain.lga.startswith('edo'):
             d['all'] = 50000
         else:
             d['all'] = 60000
-    # fresh tull-time students
+    # fresh tull-time students INE
     elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
         if brain.lga.startswith('edo'):
@@ -29,11 +29,11 @@
         else:
             d['all'] = 0
-    # returning full-time students (INE???)
-    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
+    # returning full-time students INE
+    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning' and brain.faculty == 'INE':
         if brain.lga.startswith('edo'):
             d['all'] = 4300
         else:
             d['all'] = 0
-    # postgrad full-time students (fresh???)
+    # postgrad full-time students (fresh)
     elif str(brain.level) == ('600') and brain.review_state == 'cleared_and_validated':
         if brain.lga.startswith('edo'):
@@ -43,5 +43,5 @@
         else:
             d['all'] = 69500
-    # MBL students (fresh and/or returning ???)        
+    # MBL students (fresh or returning)       
     elif str(brain.level) in ('700','800','710','810') and brain.certificate in MBL:
         if brain.lga.startswith('edo'):
@@ -51,5 +51,5 @@
         else:
             d['all'] = 99500
-    # non-MBL students (fresh and/or returning ???)   
+    # non-MBL students (fresh or returning)   
     elif str(brain.level) in ('700','800','710','810'):
         if brain.lga.startswith('edo'):
@@ -59,6 +59,6 @@
         else:
             d['all'] = 79500
-    # PHD ????        
-    elif str(brain.level) in ('900','1000','1001'):
+    # PHD Students       
+    elif str(brain.level) in ('900','910','1000','1010'):
         if brain.lga.startswith('edo'):
             d['all'] = 99500
@@ -66,14 +66,16 @@
             d['all'] = 269500
         else:
-            d['all'] = 109500             
+            d['all'] = 109500         
+    else:
+        d['all'] = 0        
 else:
     # fresh part-time students INE
-    elif str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
+    if str(brain.level) == '100' and brain.review_state == 'cleared_and_validated' and brain.faculty == 'INE':
         if brain.lga.startswith('edo'):
             d['all'] = 45000
         else:
             d['all'] = 55000
-    # returning part-time students (INE???))
-    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning':
+    # returning part-time students INE
+    elif str(brain.level) in ('100','200','300','400','110','210','310','410') and brain.review_state == 'returning' and brain.faculty == 'INE':
         if brain.lga.startswith('edo'):
             d['all'] = 30000
@@ -88,6 +90,6 @@
         else:
             d['all'] = 74500
-else:
-    d['all'] = 0
+    else:
+        d['all'] = 0
 
 
@@ -98,3 +100,2 @@
 
 return d
-
Index: WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py	(revision 3897)
+++ WAeUP_SRP/trunk/skins/waeup_aaue/pay_interswitch.py	(revision 3898)
@@ -34,5 +34,4 @@
 
 student_record = context.students_catalog.getRecordByKey(student_id)
-#amount,description = context.getSchoolFee(student_record.faculty,student_record.session,student_record.course)
 info = {}
 info['student'] = student_record
@@ -48,5 +47,5 @@
     return context.interswitch_form(info=info)
 
-info['site_id'] = '115'
+info['site_id'] = '119'
 info['currency_id'] = '566'
 pay_item_id = "11900"
@@ -72,5 +71,9 @@
 p_id = "p%s" % timestamp
 info['surcharge'] = interswitch_amount = 300
-info['amount'] = amount = fee_dict['all']
+amount = fee_dict['all']
+
+bt_amount = 4000
+aaue_split = 1000
+info['amount'] = amount + bt_amount + aaue_split    
 
 if student_id is None:
@@ -78,5 +81,5 @@
 
 if True:
-    info['action'] = "https://webpay.interswitchng.com/paydirect/webpay/pay.aspx"
+    info['action'] = "https://webpay.interswitchng.com/test_paydirect/webpay/pay.aspx"
 else:
     #pass
@@ -127,9 +130,9 @@
     args[arg] = info[field]
 
-bt_amount = 4000
-aaue_split = 1000
+
 
 #getSchoolFee provides pure school fee, the other fees have to be added
-total_amount = 100* (amount + interswitch_amount + bt_amount + aaue_split)        
+total_amount = 100* (amount + interswitch_amount + bt_amount + aaue_split)    
+
 
 
@@ -141,5 +144,5 @@
 xmldict['bt_amount'] = "%d" % int(100*bt_amount)
 
-if student_record.mode in ('ug_ft','ug_pt','pg_ft','pgd_ft):
+if student_record.mode in ('ug_ft','ug_pt','pg_ft','pgd_ft'):
     xmldict['aaue_acct'] = "6020008887"
     xmldict['bank_id'] = '123'
@@ -149,5 +152,4 @@
 
 xmldict['aaue_split'] = "%d" % int(100*aaue_split)
-
 
 xmltext = """<payment_item_detail>
@@ -168,5 +170,5 @@
 args['payment_params'] = 'college_split'
 #args['xml_data'] = ''
-#args['xml_data'] = xmltext   # info['xml_data']can be used instead
+args['xml_data'] = xmltext   # info['xml_data']can be used instead
 info['args'] = args
 