Index: /WAeUP_SRP/trunk/skins/waeup_aaua/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_aaua/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_aaua/main_template.pt	(revision 3899)
@@ -207,5 +207,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>
Index: /WAeUP_SRP/trunk/skins/waeup_aaue/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_aaue/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_aaue/main_template.pt	(revision 3899)
@@ -206,5 +206,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>
Index: /WAeUP_SRP/trunk/skins/waeup_fceokene/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceokene/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_fceokene/main_template.pt	(revision 3899)
@@ -207,5 +207,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>
Index: /WAeUP_SRP/trunk/skins/waeup_fceoyo/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceoyo/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_fceoyo/main_template.pt	(revision 3899)
@@ -207,5 +207,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/main_template.pt	(revision 3899)
@@ -207,5 +207,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>
Index: /WAeUP_SRP/trunk/skins/waeup_nau/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_nau/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_nau/main_template.pt	(revision 3899)
@@ -207,5 +207,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>
Index: /WAeUP_SRP/trunk/skins/waeup_ois/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_ois/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_ois/main_template.pt	(revision 3899)
@@ -208,5 +208,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>
Index: /WAeUP_SRP/trunk/skins/waeup_uniben/main_template.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_uniben/main_template.pt	(revision 3898)
+++ /WAeUP_SRP/trunk/skins/waeup_uniben/main_template.pt	(revision 3899)
@@ -209,5 +209,5 @@
             <td style="padding: 0.2em; text-align: right;" valign="top">
               <div class="fontColordefaultfontcolors fontShapeaverage">
-              Copyright WAeUP Group 2006-2008</div>
+              Copyright WAeUP Group 2006-2009</div>
             </td>
             <td style="width: 20px;" valign="top"></td>