Index: WAeUP_SRP/trunk/profiles/default/rolemap.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 3907)
+++ WAeUP_SRP/trunk/profiles/default/rolemap.xml	(revision 3908)
@@ -17,4 +17,12 @@
     <role name="WorkspaceMember"/>
     <role name="WorkspaceReader"/>
+
+    <role name="SectionOfficer"/>
+    <role name="ClearanceOfficer"/>
+    <role name="Student"/>
+    <role name="SectionReader"/>
+    <role name="SectionManager"/>
+    <role name="CourseAdviser"/>    
+    
   </roles>
   <permissions>
@@ -23,4 +31,5 @@
       <role name="Reviewer"/>
       <role name="Manager"/>
+      <role name="Authenticated"/      
     </permission>
     <permission name="Add portal content" acquire="True">
@@ -28,12 +37,33 @@
       <role name="Manager"/>
     </permission>
+    <permission name="Access inactive portal content"
+                acquire="True">
+      <role name="Manager"/>
+      <role name="Authenticated"/>
+    </permission>    
+    <permission name="Add portal content" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>    
     <permission name="Add portal folders" acquire="True">
       <role name="Owner"/>
       <role name="Manager"/>
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>      
     </permission>
+    <permission name="Add portal member" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>    
+    <permission name="Change subobjects order"
+                acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>  
     <permission name="Delete objects" acquire="True">
       <role name="Owner"/>
       <role name="Manager"/>
       <role name="SectionOfficer"/>
+      <role name="SectionManager"/>
     </permission>
     <permission name="FTP access" acquire="True">
@@ -41,7 +71,14 @@
       <role name="Manager"/>
     </permission>
+    <permission name="List folder contents" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+      <role name="SectionReader"/>
+    </permission>    
     <permission name="List portal members" acquire="True">
       <role name="Member"/>
       <role name="Manager"/>
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>      
     </permission>
     <permission name="List undoable changes" acquire="False">
@@ -55,5 +92,11 @@
       <role name="Owner"/>
       <role name="Manager"/>
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>      
     </permission>
+    <permission name="Modify portal content" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+    </permission>    
     <permission name="Reply to item" acquire="True">
       <role name="Member"/>
@@ -63,4 +106,6 @@
       <role name="Reviewer"/>
       <role name="Manager"/>
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>      
     </permission>
     <permission name="Set own password" acquire="True">
@@ -74,4 +119,5 @@
     <permission name="Undo changes" acquire="False">
       <role name="Manager"/>
+      <role name="SectionManager"/>
     </permission>
     <permission name="Use external editor" acquire="False">
@@ -79,4 +125,13 @@
       <role name="Member"/>
     </permission>
+    <permission name="Use mailhost services" acquire="True">
+      <role name="Anonymous"/>
+      <role name="Authenticated"/>
+    </permission>    
+    <permission name="View" acquire="True">
+      <role name="SectionManager"/>
+      <role name="SectionOfficer"/>
+      <role name="SectionReader"/>
+    </permission>    
     <permission name="View management screens"
                 acquire="True">
@@ -90,9 +145,4 @@
       <role name="Member"/>
     </permission>
-    <permission name="Use mailhost services"
-                acquire="True">
-      <role name="Anonymous"/>
-      <role name="Authenticated"/>
-    </permission>    
   </permissions>
 </rolemap>