Index: /WAeUP_SRP/trunk/skins/waeup_aaua/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_aaua/getAccommodationInfo.py	(revision 3959)
+++ /WAeUP_SRP/trunk/skins/waeup_aaua/getAccommodationInfo.py	(revision 3960)
@@ -66,6 +66,12 @@
     info['student_status'] = ''
     return info    
+    
+try:
+    arrived = int(student_record.session) == int(session[0])
+except:
+    arrived = False
+    logger.info('%s has invalid session %s' % (student_id,student_record.session))    
 
-if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and student_record.session == session[0]:
+if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and arrived:
     info['booking_allowed'] = True
     info['online_payment'] = True
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 3959)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 3960)
@@ -77,6 +77,12 @@
               )
 
-new = student_record.entry_session == session[0]
-arrived = student_record.session == session[0]
+try:
+    new = int(student_record.entry_session) == int(session[0])
+except:    
+    logger.info('%s has invalid entry_session %s' % (student_id,student_record.entry_session))
+try:
+    arrived = int(student_record.session) == int(session[0])
+except:    
+    logger.info('%s has invalid session %s' % (student_id,student_record.session))    
 
 level = None
Index: /WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 3959)
+++ /WAeUP_SRP/trunk/skins/waeup_epayment/getSchoolFee.py	(revision 3960)
@@ -27,4 +27,13 @@
                 '06': ('22200','23700'),
                 '07': ('22200','23700'),
+                '08': ('22200','23700'),                
+                '1': ('22200','23700'),
+                '2': ('22200','23700'),
+                '3': ('22200','23700'),
+                '4': ('22200','23700'),
+                '5': ('22200','23700'),
+                '6': ('22200','23700'),
+                '7': ('22200','23700'),  
+                '8': ('22200','23700'),                
                 }
 pt_fees = {
Index: /WAeUP_SRP/trunk/skins/waeup_fceokene/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceokene/getAccommodationInfo.py	(revision 3959)
+++ /WAeUP_SRP/trunk/skins/waeup_fceokene/getAccommodationInfo.py	(revision 3960)
@@ -67,5 +67,11 @@
     return info    
 
-if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and student_record.session == session[0]:
+try:
+    arrived = int(student_record.session) == int(session[0])
+except:
+    arrived = False
+    logger.info('%s has invalid session %s' % (student_id,student_record.session))
+
+if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and arrived:
     info['booking_allowed'] = True
     info['online_payment'] = True
Index: /WAeUP_SRP/trunk/skins/waeup_fceoyo/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceoyo/getAccommodationInfo.py	(revision 3959)
+++ /WAeUP_SRP/trunk/skins/waeup_fceoyo/getAccommodationInfo.py	(revision 3960)
@@ -66,6 +66,12 @@
     info['student_status'] = ''
     return info    
+    
+try:
+    arrived = int(student_record.session) == int(session[0])
+except:
+    arrived = False
+    logger.info('%s has invalid session %s' % (student_id,student_record.session))    
 
-if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and student_record.session == session[0]:
+if review_state in ('school_fee_paid','courses_registered', 'courses_validated',) and arrived:
     info['booking_allowed'] = True
     info['online_payment'] = True
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getAccommodationInfo.py	(revision 3959)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getAccommodationInfo.py	(revision 3960)
@@ -69,5 +69,11 @@
     return info    
 
-if review_state in ('cleared_and_validated','school_fee_paid','courses_registered', 'courses_validated',) and student_record.session == session[0]:
+try:
+    arrived = int(student_record.session) == int(session[0])
+except:
+    arrived = False
+    logger.info('%s has invalid session %s' % (student_id,student_record.session))
+
+if review_state in ('cleared_and_validated','school_fee_paid','courses_registered', 'courses_validated',) and arrived:
     info['booking_allowed'] = True
     info['online_payment'] = True