Index: WAeUP_SRP/trunk/WAeUPTool.py
===================================================================
--- WAeUP_SRP/trunk/WAeUPTool.py	(revision 3960)
+++ WAeUP_SRP/trunk/WAeUPTool.py	(revision 3961)
@@ -963,4 +963,8 @@
             logger.info('no entry_session for %s provided' % (reg_no))
             return
+        else:
+            es = brain.entry_session
+        if len(es) == 1:
+            es = '0%c' % es
 
         if not hasattr(self,"_v_certificates"):
@@ -1042,5 +1046,5 @@
 
         #da['entry_session'] = entry_session
-        da['entry_session'] = brain.entry_session
+        da['entry_session'] = es
         da['jamb_lastname'] = brain.lastname
         da['jamb_middlename'] = brain.middlenames   # different field names!
@@ -1106,5 +1110,5 @@
         else:
             dsc['current_level'] = '100'
-        dsc['current_session'] = brain.entry_session
+        dsc['current_session'] = es
         studycourse.getContent().edit(mapping=dsc)
         self.do_timing()
Index: WAeUP_SRP/trunk/Widgets.py
===================================================================
--- WAeUP_SRP/trunk/Widgets.py	(revision 3960)
+++ WAeUP_SRP/trunk/Widgets.py	(revision 3961)
@@ -295,5 +295,5 @@
             v = str(value)
         except ValueError:
-            datastructure.setError(widget_id, "'%s' not a valid session key" % value)
+            datastructure.setError(widget_id, "'%s' not a valid mode key" % value)
             return 0
         studymodes = self._getStudyModes()
@@ -302,8 +302,8 @@
         #import pdb;pdb.set_trace()
         if not studymodes.has_key(value):
-            datastructure.setError(widget_id, "'%s' not a valid session key" % v)
+            datastructure.setError(widget_id, "'%s' not a valid mode key" % v)
             return 0
         if self.is_required and not len(v):
-            datastructure.setError(widget_id, "session key required")
+            datastructure.setError(widget_id, "mode key required")
             return 0
 
Index: WAeUP_SRP/trunk/skins/waeup_utilities/checkApprovedAmount.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/checkApprovedAmount.py	(revision 3960)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/checkApprovedAmount.py	(revision 3961)
@@ -42,6 +42,4 @@
         continue
     counter +=1
-    if counter == 5:
-        break
     logger.info('%s, %s, %s, %s, %s ,%s' % (payment.student_id, payment.order_id, payment.amount, payment.resp_approved_amount, payment.surcharge, payment.resp_desc))
 
Index: WAeUP_SRP/trunk/skins/waeup_utilities/fixSessionKey.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_utilities/fixSessionKey.py	(revision 3961)
+++ WAeUP_SRP/trunk/skins/waeup_utilities/fixSessionKey.py	(revision 3961)
@@ -0,0 +1,59 @@
+## Script (Python) "fixSessionKey"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: fixSessionKey.py 3132 2008-02-08 21:10:38Z henrik $
+"""
+"""
+try:
+    from Products.zdb import set_trace
+except:
+    def set_trace():
+        pass
+
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+if str(member) not in ('admin'):
+    return
+
+import logging
+import DateTime
+logger = logging.getLogger('Skins.fixSessionKey')
+students = context.students_catalog()
+
+counter = 0
+for student in students:
+    counter += 1
+    modified = False
+    sid = student.id
+    try: 
+        session = student.session
+        entry_session = student.entry_session
+        ls = len(session)
+        les = len (entry_session)
+    except:
+        #logger.info('%s failed' % (sid))
+        continue
+    if ls == 1:
+        session = '0%c' % session
+        modified = True
+    if les == 1:
+        entry_session = '0%c' % entry_session
+        modified = True
+    if  entry_session == '98' and session.lstrip('0') == '8':
+        modified = True
+        entry_session = '08'       
+    if modified:    
+        context.students_catalog.modifyRecord(id = sid,
+                                              session=session,
+                                              entry_session=entry_session)        
+        logger.info('%d: %s, %s, %s' % (counter, sid, session, entry_session))
+
+return 'finished!'
+
+