Index: /WAeUP_Moodle/acreen/akademie/fw_color.css
===================================================================
--- /WAeUP_Moodle/acreen/akademie/fw_color.css	(revision 3973)
+++ /WAeUP_Moodle/acreen/akademie/fw_color.css	(revision 3974)
@@ -134,4 +134,8 @@
  ***/
 
+.logo {
+  color: #00aa4f;
+}
+
 #header-home{
   background-color: #FFFFFF;
@@ -139,6 +143,6 @@
 
 #header {
-  background-color: #404040;
-  color: #FFFFFF
+  background-color: #FFFFFF;
+  color: #000000
 }
 
Index: /WAeUP_Moodle/acreen/akademie/fw_fonts.css
===================================================================
--- /WAeUP_Moodle/acreen/akademie/fw_fonts.css	(revision 3973)
+++ /WAeUP_Moodle/acreen/akademie/fw_fonts.css	(revision 3974)
@@ -74,4 +74,10 @@
  *** Header
  ***/
+ 
+.logo {
+  font-size: 20px;
+  font-weight: bold;
+}
+ 
  
 .breadcrumb {
Index: /WAeUP_Moodle/acreen/akademie/fw_layout.css
===================================================================
--- /WAeUP_Moodle/acreen/akademie/fw_layout.css	(revision 3973)
+++ /WAeUP_Moodle/acreen/akademie/fw_layout.css	(revision 3974)
@@ -120,4 +120,9 @@
  ***/
 
+.logo {
+  padding:10px;
+  border-top:10px;
+}
+
 #header-home {
   /* padding:1em 0.5em; */
@@ -125,11 +130,13 @@
   border-width:0px;
   border-style:solid;
+  padding-left:6px;
 }
 
 #header {
-  height:35px;
+  height:60px;
   border-width:0px;
   border-style:solid;
-  padding:  6px 6px 6px 6px;
+  padding:  0px;
+  padding-left:6px;
 }
 
@@ -137,5 +144,4 @@
   float:left;
   margin:0%;
-  padding:0%;
   border-width: 0px;
 }
Index: /WAeUP_Moodle/acreen/akademie/header.html
===================================================================
--- /WAeUP_Moodle/acreen/akademie/header.html	(revision 3973)
+++ /WAeUP_Moodle/acreen/akademie/header.html	(revision 3974)
@@ -22,5 +22,5 @@
 ?>
     <div id="header-home" class="clearfix">
-        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo.gif' /></h1>
+        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo_header_main.jpg' /></h1>
         <div class="headermenu"><?php echo $menu ?></div>
     </div>
@@ -28,6 +28,6 @@
 ?>
     <div id="header" class="clearfix">
-        <strong>Akademie für Erneuerbare Energien Lüchow-Dannenberg <br />
-        Academy for Renewable Energies Luechow-Dannenberg</strong>
+        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo_header.png' /></h1>
+        <div class="headermenu"><?php echo $menu ?></div> 
     </div>
 <?php } ?>
Index: eUP_Moodle/acreen/akademie/header.html_version1
===================================================================
--- /WAeUP_Moodle/acreen/akademie/header.html_version1	(revision 3973)
+++ 	(revision )
@@ -1,45 +1,0 @@
-<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
-<html<?php echo $direction ?>>
-<head>
-    <?php echo $meta ?>
-    <meta name="keywords" content="moodle, <?php echo $title ?> " />
-    <title><?php echo $title ?></title>
-    <link rel="shortcut icon" href="<?php echo $CFG->themewww .'/'. current_theme() ?>/favicon.ico" />
-    <?php include("$CFG->javascript"); ?>
-</head>
-
-<body<?php
-    echo " $bodytags";
-    if ($focus) {
-        echo " onload=\"setfocus()\"";
-    }
-    ?>>
-      
-<div id="page">
-
-<?php //Accessibility: warning: ALT text will need editing if logo changes. 'headermain' is now H1, see theme/standard/styles_layout.css: .headermain
-      if ($home) {  // This is what gets printed on the home page only
-?>
-    <div id="header-home" class="clearfix">
-        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo.gif' /></h1>
-        <div class="headermenu"><?php echo $menu ?></div>
-    </div>
-<?php } else if ($heading) {  // This is what gets printed on any other page with a heading 
-?>
-    <div id="header" class="clearfix">
-        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo_small.gif' /></h1>
-        <div class="headermenu"><?php echo $menu ?></div>
-    </div>
-<?php } ?>
-<?php //Accessibility: breadcrumb trail/navbar now a DIV, not a table.
-      if ($navigation) { // This is the navigation bar with breadcrumbs  ?>
-    <div class="navbar clearfix">
-        <div class="breadcrumb"><?php print_navigation($navigation); ?></div>
-        <div class="navbutton"><?php echo $button; ?></div>
-    </div>
-<?php } else if ($heading) { // If no navigation, but a heading, then print a line  
-?>
-
-<?php } ?>
-    <!-- END OF HEADER -->
-    <div id="content">
Index: /WAeUP_Moodle/acreen/akademie/header_platzhalter.html
===================================================================
--- /WAeUP_Moodle/acreen/akademie/header_platzhalter.html	(revision 3974)
+++ /WAeUP_Moodle/acreen/akademie/header_platzhalter.html	(revision 3974)
@@ -0,0 +1,45 @@
+<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
+<html<?php echo $direction ?>>
+<head>
+    <?php echo $meta ?>
+    <meta name="keywords" content="moodle, <?php echo $title ?> " />
+    <title><?php echo $title ?></title>
+    <link rel="shortcut icon" href="<?php echo $CFG->themewww .'/'. current_theme() ?>/favicon.ico" />
+    <?php include("$CFG->javascript"); ?>
+</head>
+
+<body<?php
+    echo " $bodytags";
+    if ($focus) {
+        echo " onload=\"setfocus()\"";
+    }
+    ?>>
+      
+<div id="page">
+
+<?php //Accessibility: warning: ALT text will need editing if logo changes. 'headermain' is now H1, see theme/standard/styles_layout.css: .headermain
+      if ($home) {  // This is what gets printed on the home page only
+?>
+    <div id="header-home" class="clearfix">
+        <h1 class="headermain"><img alt='Moodle' src='<?php echo $CFG->httpsthemewww .'/'. current_theme() ?>/logo.jpg' /></h1>
+        <div class="headermenu"><?php echo $menu ?></div>
+    </div>
+<?php } else if ($heading) {  // This is what gets printed on any other page with a heading 
+?>
+    <div id="header" class="clearfix">
+        <strong>Akademie für Erneuerbare Energien Lüchow-Dannenberg <br />
+        Academy for Renewable Energies Luechow-Dannenberg</strong>
+    </div>
+<?php } ?>
+<?php //Accessibility: breadcrumb trail/navbar now a DIV, not a table.
+      if ($navigation) { // This is the navigation bar with breadcrumbs  ?>
+    <div class="navbar clearfix">
+        <div class="breadcrumb"><?php print_navigation($navigation); ?></div>
+        <div class="navbutton"><?php echo $button; ?></div>
+    </div>
+<?php } else if ($heading) { // If no navigation, but a heading, then print a line  
+?>
+
+<?php } ?>
+    <!-- END OF HEADER -->
+    <div id="content">