Index: /WAeUP_SRP/trunk/profiles/default/layouts/course.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 3979)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/course.xml	(revision 3980)
@@ -104,14 +104,18 @@
  </widget>
  <widget name="semester" meta_type="Int Widget">
-  <property name="title">Semester</property>
+  <property name="title">Semester/Term</property>
   <property name="fields">
    <element value="semester"/>
   </property>
-  <property name="label">Semester</property>
-  <property name="label_edit">Semester</property>
+  <property name="label">Semester/Term</property>
+  <property name="label_edit">Semester/Term (1, 2 or 3)</property>
   <property name="readonly_layout_modes"/>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
+  <property name="is_limited">True</property>
+  <property name="min_value">1</property>
+  <property name="max_value">3</property>
  </widget>
+
  <widget name="title" meta_type="String Widget">
   <property name="title">Course Title</property>
Index: /WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml	(revision 3979)
+++ /WAeUP_SRP/trunk/profiles/default/layouts/student_study_level.xml	(revision 3980)
@@ -8,19 +8,4 @@
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
- <widget name="code" meta_type="String Widget">
-  <property name="title">Level No</property>
-  <property name="fields">
-   <element value="code"/>
-  </property>
-  <property name="is_required">True</property>
-  <property name="label">Level No</property>
-  <property name="label_edit">Level No</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="edit"/>
-   <element value="view"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
  <widget name="session" meta_type="String Widget">
   <property name="title">Session</property>
Index: /WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml	(revision 3979)
+++ /WAeUP_SRP/trunk/profiles/default/schemas/student_study_level.xml	(revision 3980)
@@ -2,5 +2,4 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_study_level" meta_type="CPS Schema">
- <field name="code" meta_type="CPS String Field"/>
  <field name="session" meta_type="CPS String Field"/>
  <field name="verdict" meta_type="CPS String Field"/>
Index: /WAeUP_SRP/trunk/profiles/default/vocabularies.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 3979)
+++ /WAeUP_SRP/trunk/profiles/default/vocabularies.xml	(revision 3980)
@@ -60,5 +60,4 @@
  <object name="waeup_block_letters" meta_type="CPS Vocabulary"/>
  <object name="nigerian_states" meta_type="CPS Vocabulary"/>
- <object name="semester_voc" meta_type="CPS Vocabulary"/>
  <object name="local_gov_areas" meta_type="CPS Vocabulary"/>
  <object name="states" meta_type="CPS Vocabulary"/>
Index: eUP_SRP/trunk/profiles/default/vocabularies/semester_voc.xml
===================================================================
--- /WAeUP_SRP/trunk/profiles/default/vocabularies/semester_voc.xml	(revision 3979)
+++ 	(revision )
@@ -1,10 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="vocabulary.xsl"?>
-<object name="semester_voc" meta_type="CPS Vocabulary">
- <property name="title"></property>
- <property name="title_msgid"></property>
- <property name="description"></property>
- <property name="acl_write_roles">Manager</property>
- <item key="first" msgid="">First Semester</item>
- <item key="second" msgid="">Second Semester</item>
-</object>
Index: /WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 3979)
+++ /WAeUP_SRP/trunk/skins/waeup_student/course_registration_slip.pt	(revision 3980)
@@ -76,7 +76,6 @@
 
 
-       <span tal:repeat="sem python:('1','2')">       
-                    
-        <tr><th colspan="3" tal:content="python: test(sem == '1','First Semester', 'Second Semester')" /></tr>            
+        <span tal:repeat="sem python:('1','2')">       
+        <tr><th colspan="3" tal:content="python: test(sem == '1','First Semester Courses', 'Second Semester Courses')" /></tr>            
         <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
@@ -87,7 +86,7 @@
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>     
         </tr>
+        </span>         
         
-        
-        <th colspan="3" tal:condition="info/normal3"> Combined</th>                
+        <th colspan="3" tal:condition="info/normal3">Level Courses</th>                
         <tr tal:condition="info/normal3" tal:repeat="row info/normal3"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
@@ -102,5 +101,5 @@
         </tr>        
         
-        </span>        
+       
           <tr>
             <td width="84%" colspan="2" align="right">Total Credits:</td>