Index: WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 3980)
+++ WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 3985)
@@ -103,5 +103,5 @@
     logger.info('%s has invalid session %s' % (student_id,student_record.session))
 
-if level is None or end_level is None or student_record.review_state == 'deactivated':
+if level is None or end_level is None or student_record.review_state in ('deactivated','graduated'):
     pass
 elif arrived:
@@ -109,5 +109,5 @@
         booking_allowed = student_record.review_state in new_states
     else:
-        booking_allowed = not (level % 100)
+        booking_allowed = not (level % 100) 
 elif previous:
     booking_allowed = student_record.verdict in ('A','B',)
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 3980)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_anonymous_view.pt	(revision 3985)
@@ -11,5 +11,5 @@
 
       <h2>Welcome to the     
-      <br />New Student Registration Portal of the <span tal:replace="here/portal_properties/institution_title" /></h2>
+      <br /><span tal:replace="here/portal_properties/title" /> of the <span tal:replace="here/portal_properties/institution_title" /></h2>
              
       <strong>This is the default frontpage of the Student Registration Portal (SRP) which is part 
Index: WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 3980)
+++ WAeUP_SRP/trunk/skins/waeup_default/srp_view.pt	(revision 3985)
@@ -13,5 +13,5 @@
       
         <h2>Welcome to the     
-          <br />Student Registration Portal of the <span tal:replace="here/portal_properties/institution_title" /></h2>
+          <br /><span tal:replace="here/portal_properties/title" /> of the <span tal:replace="here/portal_properties/institution_title" /></h2>
           <br />
           You are logged in and viewing the portal's root folder. Please go to one of the sections above.   
Index: WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_workflow_display.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_workflow_display.pt	(revision 3980)
+++ WAeUP_SRP/trunk/skins/waeup_layout/portlet_student_workflow_display.pt	(revision 3985)
@@ -77,9 +77,12 @@
   <span tal:condition="python:info['review_state']=='returning'">
   <tr><td class="active">
-    
     Returning
-
   </td></tr>
   </span>
+  <span tal:condition="python:info['review_state']!='returning'">
+  <tr><td>
+    Returning
+  </td></tr>
+  </span>  
   <span tal:condition="python:info['review_state']=='school_fee_paid'">
   <tr><td class="active">
@@ -109,5 +112,5 @@
   <tr><td class="active">
     <a href="" tal:attributes="href string:${info/url}/student_view">
-    Courses vaildated
+    Courses validated
     </a>
   </td></tr>
@@ -115,7 +118,19 @@
   <span tal:condition="python:info['review_state']!='courses_validated'">
   <tr><td>
-    Courses vaildated
+    Courses validated
   </td></tr>
   </span>     
+  <span tal:condition="python:info['review_state']=='graduated'">
+  <tr><td class="active">
+    <a href="" tal:attributes="href string:${info/url}/student_view">
+    Graduated
+    </a>
+  </td></tr>
+  </span>  
+  <span tal:condition="python:info['review_state']!='graduated'">
+  <tr><td>
+    Graduated
+  </td></tr>
+  </span>    
 </table>
 
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 3980)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentWorkflowInfo.py	(revision 3985)
@@ -32,4 +32,5 @@
                                            'courses_registered',
                                            'courses_validated',
+                                           'graduated',
                                            )
 info['tr'] = review_state in  ('returning',)