Index: WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml
===================================================================
--- WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 3981)
+++ WAeUP_SRP/trunk/profiles/default/layouts/import_student.xml	(revision 3987)
@@ -14,9 +14,4 @@
   </property>
   <property name="is_required">True</property>
-  <property name="label">Import Mode</property>
-  <property name="label_edit">Import Mode</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">import_modes</property>
  </widget>
@@ -27,9 +22,4 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Id</property>
-  <property name="label_edit">Id</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 
@@ -39,10 +29,5 @@
    <element value="reg_transition"/>
   </property>
-  <property name="label">Transition</property>
-  <property name="label_edit">Transition</property>
-  <property name="is_required">True</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_required">True</property>
  </widget>
  <widget name="email" meta_type="Email Widget">
@@ -52,9 +37,4 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Email</property>
-  <property name="label_edit">Email</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="app_email" meta_type="Email Widget">
@@ -64,9 +44,4 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">Application Email</property>
-  <property name="label_edit">Application Email</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="phone" meta_type="String Widget">
@@ -75,10 +50,4 @@
    <element value="phone"/>
   </property>
-  <property name="label">Phone</property>
-  <property name="label_edit">Phone</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">15</property>
  </widget>
  <widget name="perm_address" meta_type="String Widget">
@@ -87,10 +56,4 @@
    <element value="perm_address"/>
   </property>
-  <property name="label">Address</property>
-  <property name="label_edit">Address</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">60</property>
  </widget>
  <widget name="firstname" meta_type="String Widget">
@@ -100,9 +63,4 @@
   </property>
   <property name="is_required">False</property>
-  <property name="label">First Name</property>
-  <property name="label_edit">First Name</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="middlename" meta_type="String Widget">
@@ -111,9 +69,4 @@
    <element value="middlename"/>
   </property>
-  <property name="label">Middle Name</property>
-  <property name="label_edit">Middle Name</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
  <widget name="lastname" meta_type="String Widget">
@@ -123,9 +76,4 @@
   </property>
   <property name="is_required">True</property>
-  <property name="label">Last Name</property>
-  <property name="label_edit">Last Name</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 <widget name="birthday" meta_type="DateTime Widget">
@@ -134,9 +82,4 @@
   <element value="birthday"/>
  </property>
- <property name="label">Birthday</property>
- <property name="label_edit">Birthday</property>
- <property name="readonly_layout_modes"/>
- <property name="hidden_layout_modes"/>
- <property name="hidden_readonly_layout_modes"/>
  <property name="view_format">%d/%m/%Y</property>
  <property name="time_setting">False</property>
@@ -148,10 +91,5 @@
    <element value="entry_mode"/>
   </property>
-  <property name="label">Entry Mode</property>
-  <property name="label_edit">Entry Mode</property>
-  <property name="is_required">True</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_required">True</property>
   <property name="vocabulary">entry_modes</property>
  </widget>
@@ -161,10 +99,5 @@
    <element value="current_mode"/>
   </property>
-  <property name="label">Current Mode</property>
-  <property name="label_edit">Current Mode</property>
-  <property name="is_required">False</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_required">False</property>
   <property name="vocabulary">entry_modes</property>
  </widget>
@@ -174,12 +107,5 @@
    <element value="current_session"/>
   </property>
-  <property name="label">Current Session</property>
-  <property name="label_edit">Current Session</property>
-  <property name="is_required">True</property>
-  <property name="description">The last session school fee has been paid for</property>
-  <property name="help">The last session school fee has been paid for</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_required">True</property>
   <property name="vocabulary">unset</property>
   <property name="sorted">True</property>
@@ -190,12 +116,5 @@
    <element value="current_level"/>
   </property>
-  <property name="label">Current Level</property>
-  <property name="label_edit">Current Level</property>
-  <property name="is_required">True</property>
-  <property name="description">The last level school fee has been paid for</property>
-  <property name="help">The last level school fee has been paid for</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_required">True</property>
   <property name="vocabulary">unset</property>
   <property name="sorted">True</property>
@@ -206,11 +125,4 @@
    <element value="current_verdict"/>
   </property>
-  <property name="label">Current Verdict</property>
-  <property name="label_edit">Current Verdict</property>
-  <property name="description">The verdict of the current level</property>
-  <property name="help">The verdict of the current level</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">verdicts</property>
   <property name="sorted">True</property>
@@ -221,11 +133,4 @@
    <element value="previous_verdict"/>
   </property>
-  <property name="label">Previous Verdict</property>
-  <property name="label_edit">Previous Verdict</property>
-  <property name="description">The verdict of the previous level</property>
-  <property name="help">The verdict of the previous level</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
   <property name="vocabulary">verdicts</property>
   <property name="sorted">True</property>
@@ -236,10 +141,5 @@
    <element value="entry_session"/>
   </property>
-  <property name="label">Entry Session</property>
-  <property name="label_edit">Entry Session</property>
-  <property name="is_required">False</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_required">False</property>
   <property name="vocabulary">unset</property>
   <property name="sorted">True</property>
@@ -250,10 +150,4 @@
    <element value="jamb_reg_no"/>
   </property>
-  <property name="label">JAMB Registration No</property>
-  <property name="label_edit">JAMB Registration No</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
  </widget>
 
@@ -263,10 +157,4 @@
    <element value="jamb_score"/>
   </property>
-  <property name="label">JAMB Score</property>
-  <property name="label_edit">JAMB Score</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">3</property>
  </widget>
 
@@ -276,11 +164,4 @@
    <element value="jamb_age"/>
   </property>
-  <property name="label">JAMB Age</property>
-  <property name="label_edit">JAMB Age</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 
@@ -290,11 +171,4 @@
    <element value="jamb_sex"/>
   </property>
-  <property name="label">JAMB Sex</property>
-  <property name="label_edit">JAMB Sex</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 
@@ -304,9 +178,4 @@
    <element value="jamb_lga"/>
   </property>
-  <property name="label">JAMB LGA</property>
-  <property name="label_edit">JAMB LGA</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 
@@ -316,9 +185,4 @@
    <element value="jamb_state"/>
   </property>
-  <property name="label">JAMB State</property>
-  <property name="label_edit">JAMB State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 
@@ -328,11 +192,4 @@
    <element value="lga"/>
   </property>
-  <property name="label">LGA</property>
-  <property name="label_edit">LGA</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 
@@ -342,11 +199,4 @@
    <element value="state"/>
   </property>
-  <property name="label">State</property>
-  <property name="label_edit">State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-      edit
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
  </widget>
 
@@ -356,10 +206,4 @@
    <element value="matric_no"/>
   </property>
-  <property name="label">Matriculation No</property>
-  <property name="label_edit">Matriculation No</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
  </widget>
  <widget name="sex" meta_type="WAeUP Sex Widget">
@@ -368,10 +212,5 @@
    <element value="sex"/>
   </property>
-  <property name="label">Sex</property>
-  <property name="label_edit">Sex</property>
-  <property name="is_required">True</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
+  <property name="is_required">True</property>
   <property name="label_false">male</property>
   <property name="label_true">female</property>
@@ -383,11 +222,74 @@
    <element value="study_course"/>
   </property>
-  <property name="label">Study Course Code</property>
-  <property name="label_edit">Study Course Code</property>
-  <property name="is_required">True</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">10</property>
- </widget>
+  <property name="is_required">True</property>
+ </widget>
+ 
+ <widget name="password" meta_type="String Widget">
+  <property name="title">Password</property>
+  <property name="fields">
+   <element value="password"/>
+  </property>
+ </widget> 
+ 
+ 
+ <widget name="app_ac_pin" meta_type="String Widget">
+  <property name="fields">
+   <element value="app_ac_pin"/>
+  </property>
+ </widget> 
+ 
+ <widget name="app_reg_pin" meta_type="String Widget">
+  <property name="fields">
+   <element value="app_reg_pin"/>
+  </property>
+ </widget> 
+ 
+ <widget name="app_ac_date" meta_type="String Widget">
+  <property name="fields">
+   <element value="app_ac_date"/>
+  </property>
+ </widget> 
+ 
+ <widget name="app_mobile" meta_type="String Widget">
+  <property name="fields">
+   <element value="app_mobile"/>
+  </property>
+ </widget> 
+ 
+ <widget name="request_date" meta_type="String Widget">
+  <property name="fields">
+   <element value="request_date"/>
+  </property>
+ </widget> 
+ 
+ <widget name="clr_ac_pin" meta_type="String Widget">
+  <property name="fields">
+   <element value="clr_ac_pin"/>
+  </property>
+ </widget> 
+ 
+ <widget name="cleared_date" meta_type="String Widget">
+  <property name="fields">
+   <element value="cleared_date"/>
+  </property>
+ </widget> 
+ 
+ <widget name="clearance_officer" meta_type="String Widget">
+  <property name="fields">
+   <element value="clearance_officer"/>
+  </property>
+ </widget> 
+ 
+ <widget name="marit_stat" meta_type="WAeUP Boolean Widget">
+  <property name="fields">
+   <element value="marit_stat"/>
+  </property>
+ </widget> 
+ 
+ <widget name="disabled" meta_type="WAeUP Boolean Widget">
+  <property name="fields">
+   <element value="disabled"/>
+  </property>
+ </widget> 
+ 
 </object>