Index: WAeUP_SRP/trunk/skins/waeup_student/search_students.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 4002)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 4006)
@@ -56,4 +56,5 @@
 user_info['departments'] = []
 user_info['faculties'] = []
+user_info['certificates'] = []
 co_view = False
 ca_view = False
@@ -61,4 +62,5 @@
 faculties =  session_data.get('faculties',None)
 departments = session_data.get('departments',None)
+certificates = session_data.get('certificates',None)
 certificate_levels = session_data.get('certificate_levels',None)
 # determine local roles
@@ -66,13 +68,15 @@
     default_state = "clearance_requested"
     co_view = True
-    if faculties is None or departments is None:
+    if faculties is None or departments is None or certificates is None:
         logger.info('ClearanceOfficer %s initiated student_search' % member)
-        query = In('portal_type',('Faculty','Department')) &\
+        query = In('portal_type',('Faculty','Department','Certificate')) &\
                  In('localUsersWithRoles', ("user:%s" % member,))
         res = aq_portal(query)
         faculties = [f.getId for f in res if f.portal_type == 'Faculty']
         departments = [f.getId for f in res if f.portal_type == 'Department']
+        certificates = [f.getId for f in res if f.portal_type == 'Certificate']
     user_info['faculties'] = session_data['faculties'] = faculties
     user_info['departments'] = session_data['departments'] =  departments
+    user_info['certificates'] = session_data['certificates'] =  certificates
 if "CourseAdvisers" in member.getGroups():
     default_state = "courses_registered"
@@ -196,7 +200,7 @@
 if co_view and state.startswith('clear'):
     if query is not None:
-        query = query & In('faculty',faculties) | In('department',departments)
+        query = query & (In('faculty',faculties) | In('department',departments) | In('course',certificates))
     else:
-        query = In('faculty',faculties) | In('department',departments)
+        query = In('faculty',faculties) | In('department',departments) | In('course',certificates)
 elif ca_view and state.startswith('courses'):
     courses = [cl.split('/')[0] for cl in certificate_levels]
@@ -206,4 +210,6 @@
 
 # search students_catalog
+
+#return query
 
 student_records = aq_students(query,('matric_no','jamb_reg_no'))
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 4002)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students_form.pt	(revision 4006)
@@ -5,5 +5,4 @@
               students options/students;
               info options/info|nothing;
-              is_so context/isSectionOfficer;
               allowed options/allowed|nothing;"
               >
@@ -12,30 +11,6 @@
     </span>
     <span tal:condition="allowed" tal:omit-tag="">
-      <strong>
-        <nobr><a href="statistics_new_view">New Student Statistics</a>
-        &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-        <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
-        &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-        <nobr><a href="statistics_simple_view">Basic Student Statistics</a>
-        &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
-        <span tal:condition="is_so">
-          <nobr><a href="apply_admission_manage">Application Process</a>
-          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
-          <nobr><a href="view_logs">View Log Files</a>
-          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-          <nobr><a href="add_student">Add Student Record</a>        
-          &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
-          <nobr><a href="deactivate_students">Deactivate Student Record(s)</a></nobr>
-        </span>
-      </strong>
+      <metal:block use-macro="here/students_actions/macros/students_actions" />
       <h3> Search Student Section</h3><br />
-      You are logged in as member <span tal:replace="info/member|nothing" /> 
-      <span tal:condition="info/faculties|nothing" tal:omit-tag="">
-        who is ClearanceOfficer for Faculty 
-        <span tal:repeat="faculty info/faculties" tal:content="faculty" />
-      </span>
-      <span tal:condition="info/departments|nothing" tal:omit-tag="">
-        and <span tal:repeat="department info/departments|nothing" tal:content="department"/></span>.
-      <br /><br />
       <span tal:replace="structure rendered" />
       <metal:block use-macro="here/generic_lib_portal_message/macros/portal_message" />
Index: WAeUP_SRP/trunk/skins/waeup_student/students_actions.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/students_actions.pt	(revision 4006)
+++ WAeUP_SRP/trunk/skins/waeup_student/students_actions.pt	(revision 4006)
@@ -0,0 +1,26 @@
+<metal:block define-macro="students_actions">
+
+  <strong>
+    <nobr><a href="statistics_new_view">New Student Statistics</a>
+    &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+    <nobr><a href="statistics_ret_view">Returning Student Statistics</a>
+    &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+    <nobr><a href="statistics_simple_view">Basic Student Statistics</a>
+    &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
+    <span tal:condition="context/isSectionOfficer">
+      <nobr><a href="apply_admission_manage">Application Process</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>      
+      <nobr><a href="view_logs">View Log Files</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="add_student">Add Student Record</a>        
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+      <nobr><a href="deactivate_students">Deactivate Student Record(s)</a>
+      &nbsp;&nbsp;&nbsp;&nbsp;</nobr>
+    </span>
+    <span tal:condition="context/isSectionManager">
+      <nobr><a href="remove_students">Remove Student Record(s)</a></nobr>
+    </span>
+  </strong>
+
+</metal:block>
+