Index: /WAeUP_SRP/trunk/skins/waeup_aaua/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_aaua/getAccommodationInfo.py	(revision 4006)
+++ /WAeUP_SRP/trunk/skins/waeup_aaua/getAccommodationInfo.py	(revision 4007)
@@ -15,4 +15,6 @@
 logger = logging.getLogger('Skins.getAccommodationInfo')
 import DateTime
+
+booking_disabled = True
 
 request = context.REQUEST
@@ -54,5 +56,8 @@
 info['student'] = student
 
+# do not change these settings!
+
 booking_allowed = False
+info['booking_disabled'] = False
 
 # customize from here
@@ -82,14 +87,4 @@
     return info
 
-acco_id = 'accommodation_' + session[0]
-acco = getattr(student,acco_id,None)
-info['acco'] = acco
-info['acco_id'] = acco_id
-
-info['maintenance_paid'] = False
-if acco is not None:
-    info['acco_doc'] = acco.getContent()
-    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
 d = {}
 if level >= 300:
@@ -106,9 +101,25 @@
     d['sex'] = 'female'
 
-
 info['sex']=d['sex']
 d['bt'] = bt
 student_status = "%(sex)s_%(bt)s" % d
 info['student_status'] = student_status
+
+# customize end
+
+acco_id = 'accommodation_' + session[0]
+acco = getattr(student,acco_id,None)
+info['acco'] = acco
+info['acco_id'] = acco_id
+info['maintenance_paid'] = False
+if acco is not None:
+    info['acco_doc'] = acco.getContent()
+    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
+    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
+elif booking_disabled:
+    info['booking_allowed'] = False
+    info['booking_disabled'] = True
+    logger.info('%s: %s eligible but booking disabled' % (student_id,student_status))  
+
 return info
 
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/booking_disabled.pt
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/booking_disabled.pt	(revision 4007)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/booking_disabled.pt	(revision 4007)
@@ -0,0 +1,7 @@
+<metal:body use-macro="here/main_template/macros/master">
+  <metal:main fill-slot="main">
+
+    <h3>Accommodation booking is disabled.</h3>
+
+  </metal:main>
+</metal:body>
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 4006)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/getAccommodationInfo.py	(revision 4007)
@@ -16,5 +16,5 @@
 import DateTime
 
-booking_disabled = False
+booking_disabled = True
 
 request = context.REQUEST
@@ -56,5 +56,8 @@
 info['student'] = student
 
+# do not change these settings!
+
 booking_allowed = False
+info['booking_disabled'] = False
 
 # customize from here
@@ -76,4 +79,6 @@
               'courses_validated',
               )
+new = None
+arrived = None
 
 try:
@@ -85,5 +90,5 @@
 except:    
     logger.info('%s has invalid session %s' % (student_id,student_record.session))    
-
+    
 level = None
 end_level = None
@@ -117,19 +122,6 @@
     info['acco'] = None
     info['student_status'] = ''
-    logger.info('%s: no bed found' % (student_id))     
+    logger.info('%s: not eligible' % (student_id))     
     return info
-
-acco_id = 'accommodation_' + session[0]
-acco = getattr(student,acco_id,None)
-info['acco'] = acco
-info['acco_id'] = acco_id
-bt = 're'
-info['maintenance_paid'] = False
-if acco is not None:
-    info['acco_doc'] = acco.getContent()
-    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
-elif booking_disabled:
-    info['booking_allowed'] = False
 
 d = {}
@@ -143,5 +135,4 @@
 else:
     bt = 'fi'
-
 d['sex'] = 'male'
 if student_record.sex:
@@ -157,3 +148,20 @@
 student_status = "%(sex)s_%(bt)s" % d
 info['student_status'] = student_status
+
+# customize end
+
+acco_id = 'accommodation_' + session[0]
+acco = getattr(student,acco_id,None)
+info['acco'] = acco
+info['acco_id'] = acco_id
+info['maintenance_paid'] = False
+if acco is not None:
+    info['acco_doc'] = acco.getContent()
+    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
+    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
+elif booking_disabled:
+    info['booking_allowed'] = False
+    info['booking_disabled'] = True
+    logger.info('%s: %s eligible but booking disabled' % (student_id,student_status))  
+
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_accommodation.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_accommodation.py	(revision 4006)
+++ /WAeUP_SRP/trunk/skins/waeup_accommodation/reserve_accommodation.py	(revision 4007)
@@ -34,4 +34,6 @@
 
 mode = 'create'
+if info['booking_disabled']:
+    return context.REQUEST.RESPONSE.redirect("%s/booking_disabled" % info['student'].absolute_url())
 if not info['booking_allowed']:
     return context.REQUEST.RESPONSE.redirect("%s/no_booking_allowed" % info['student'].absolute_url())
Index: /WAeUP_SRP/trunk/skins/waeup_fceoyo/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_fceoyo/getAccommodationInfo.py	(revision 4006)
+++ /WAeUP_SRP/trunk/skins/waeup_fceoyo/getAccommodationInfo.py	(revision 4007)
@@ -15,4 +15,6 @@
 logger = logging.getLogger('Skins.getAccommodationInfo')
 import DateTime
+
+booking_disabled = True
 
 request = context.REQUEST
@@ -54,5 +56,8 @@
 info['student'] = student
 
+# do not change these settings!
+
 booking_allowed = False
+info['booking_disabled'] = False
 
 # customize from here
@@ -82,14 +87,4 @@
     return info
 
-acco_id = 'accommodation_' + session[0]
-acco = getattr(student,acco_id,None)
-info['acco'] = acco
-info['acco_id'] = acco_id
-
-info['maintenance_paid'] = False
-if acco is not None:
-    info['acco_doc'] = acco.getContent()
-    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
 d = {}
 if level >= 300:
@@ -111,4 +106,20 @@
 student_status = "%(sex)s_%(bt)s" % d
 info['student_status'] = student_status
+
+# customize end
+
+acco_id = 'accommodation_' + session[0]
+acco = getattr(student,acco_id,None)
+info['acco'] = acco
+info['acco_id'] = acco_id
+info['maintenance_paid'] = False
+if acco is not None:
+    info['acco_doc'] = acco.getContent()
+    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
+    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
+elif booking_disabled:
+    info['booking_allowed'] = False
+    info['booking_disabled'] = True
+    logger.info('%s: %s eligible but booking disabled' % (student_id,student_status))  
+
 return info
-
Index: /WAeUP_SRP/trunk/skins/waeup_futminna/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_futminna/getAccommodationInfo.py	(revision 4006)
+++ /WAeUP_SRP/trunk/skins/waeup_futminna/getAccommodationInfo.py	(revision 4007)
@@ -56,5 +56,8 @@
 info['student'] = student
 
+# do not change these settings!
+
 booking_allowed = False
+info['booking_disabled'] = False
 
 # customize from here
@@ -78,17 +81,4 @@
     return info
 
-acco_id = 'accommodation_' + session[0]
-acco = getattr(student,acco_id,None)
-info['acco'] = acco
-info['acco_id'] = acco_id
-
-info['maintenance_paid'] = False
-if acco is not None:
-    info['acco_doc'] = acco.getContent()
-    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
-elif booking_disabled:
-    info['booking_allowed'] = False
-    
 d = {}
 d['sex'] = 'male'
@@ -101,3 +91,19 @@
 info['student_status'] = student_status
 
+# customize end
+
+acco_id = 'accommodation_' + session[0]
+acco = getattr(student,acco_id,None)
+info['acco'] = acco
+info['acco_id'] = acco_id
+info['maintenance_paid'] = False
+if acco is not None:
+    info['acco_doc'] = acco.getContent()
+    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
+    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
+elif booking_disabled:
+    info['booking_allowed'] = False
+    info['booking_disabled'] = True
+    logger.info('%s: %s eligible but booking disabled' % (student_id,student_status)) 
+
 return info
Index: /WAeUP_SRP/trunk/skins/waeup_unilorin/getAccommodationInfo.py
===================================================================
--- /WAeUP_SRP/trunk/skins/waeup_unilorin/getAccommodationInfo.py	(revision 4006)
+++ /WAeUP_SRP/trunk/skins/waeup_unilorin/getAccommodationInfo.py	(revision 4007)
@@ -15,4 +15,6 @@
 logger = logging.getLogger('Skins.getAccommodationInfo')
 import DateTime
+
+booking_disabled = True
 
 request = context.REQUEST
@@ -54,5 +56,8 @@
 info['student'] = student
 
+# do not change these settings!
+
 booking_allowed = False
+info['booking_disabled'] = False
 
 # customize from here
@@ -76,14 +81,4 @@
     return info
 
-acco_id = 'accommodation_' + session[0]
-acco = getattr(student,acco_id,None)
-info['acco'] = acco
-info['acco_id'] = acco_id
-
-info['maintenance_paid'] = False
-if acco is not None:
-    info['acco_doc'] = acco.getContent()
-    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
-    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
 d = {}
 if level >= 300:
@@ -105,4 +100,21 @@
 student_status = "%(sex)s_%(bt)s" % d
 info['student_status'] = student_status
+
+# customize end
+
+acco_id = 'accommodation_' + session[0]
+acco = getattr(student,acco_id,None)
+info['acco'] = acco
+info['acco_id'] = acco_id
+info['maintenance_paid'] = False
+if acco is not None:
+    info['acco_doc'] = acco.getContent()
+    info['acco_review_state'] = wf.getInfoFor(acco,'review_state',None)
+    info['maintenance_paid'] = info['acco_review_state'] == "maintenance_fee_paid"
+elif booking_disabled:
+    info['booking_allowed'] = False
+    info['booking_disabled'] = True
+    logger.info('%s: %s eligible but booking disabled' % (student_id,student_status)) 
+    
 return info
 